lp:~gearman-developers/pkg-gearman/intrepid

Created by Monty Taylor on 2009-05-12 and last modified on 2009-10-01
Get this branch:
bzr branch lp:~gearman-developers/pkg-gearman/intrepid
Members of Gearman-developers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Gearman-developers
Project:
Gearman Packaging
Status:
Development

Recent revisions

18. By Monty Taylor on 2009-10-01

* Added doc-base entries for documentation.
* Added lintian-override for arch-dep-package-has-big-usr-share. The files
  are all manpages, which do in fact need to be in the package.
* New upstream version.
* Removed postgres include path hack.

17. By Monty Taylor on 2009-09-14

* Fix LSB init script header. Thanks Petter. (Closes: #544770)
* Updated standards version to 3.8.3.
* Clean up /var/lib/gearman.
* Put priority back to optional. It's sort of clear that setting it to
  extra was the wrong choice.
* Added missing -dev depends on libpq-dev and libsqlite-dev reported
  against Ubuntu. (LP: #408433)
* Test for existence of daemon in startup script to comply with policy.
  (Closes: #539757)
* Give gearman a real home dir - it'll need somewhere to stick sqlite queues.

16. By Monty Taylor on 2009-08-02

* Removed a stray chown that was left in below.
* Fixed init script to actually work. (Closes: #538121)
* Create gearman user to own pid and log files.
* Provide and parse /etc/default/gearman-job-server.
* Add depend on adduser.
* New upstream release.
* Added build dep on libsqlite3-dev and libpq-dev.
* Added workaround for postgres include file location madness. Better fix
  coming from upstream next release.
* Lowered priority to extra, because libmemcached and libdrizzle are both
  extra to follow policy.
* Added -dev depends on -dev packages of libraries needed. (Closes: #538015)
* Added direct depend on libgearman1 for gearman-job-server and gearman-tools.
* Added gensymbols files libgearman1.symbols.
* Don't run tests on s390.

15. By Monty Taylor on 2009-07-17

* Merged new upstream from trunk
* Reverted gearman-server to gearman-job-server. The Perl server already
  has this package name.
* Removed perl from build-depends, it's already provided.
* Added procps to build-depends so that we can use kill in make test.

14. By Monty Taylor on 2009-07-02

* New upstream release.
* Aligned section with the one in the override file.
* Renamed gearman-worker to gearman-tools on request of upstream.
* Renamed gearman-job-server to gearman-server on request of upstream.
* Fixed typo in init script.
* Updated standards version to 3.8.2.

13. By Monty Taylor on 2009-06-03

* Added missing test file.
* Added depend on libgearman1 to libgearman-dev. (Closes: #531655)

12. By Monty Taylor on 2009-06-03

oops.

11. By Monty Taylor on 2009-06-03

New upstream release.

10. By Monty Taylor on 2009-05-20

Merged trunk changes.

9. By Monty Taylor on 2009-05-20

New upstream release.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar RepositoryFormatKnitPack6 (bzr 1.9)
Stacked on:
lp:pkg-gearman
This branch contains Public information 
Everyone can see this information.

Subscribers